Межсайтовый скриптинг в OpenEdit

Дата публикации:
27.12.2005
Всего просмотров:
1169
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenEdit 4.x
Уязвимые версии: OpenEdit 4.0 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "oe-action" и "page" в сценарии "results.html". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

/store/search/results.html?query=&department=&oe-action=[XSS]
/store/search/results.html?page=[XSS]

URL производителя: www.openedit.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Источник:

Ссылки: OpenEdit XSS vuln.

или введите имя

CAPTCHA